curl --request POST \
--url https://api-umbrella.io/api/services/kyb/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "IDCanopy Group Ltd",
"country": "GB",
"locality": "London"
}
'{
"status": true,
"data": [
{
"transactionId": "a8b89ef3-9d93-4d96-a495-be605fd1b2fe",
"companyId": "223c8dde-9c82-4811-ba3c-4f9fe648c2da",
"name": "IDCANOPY GROUP LTD",
"status": "active",
"registrationNumber": "16262990",
"addressLine": "71-75 Shelton Street, Covent Garden, London, United Kingdom, WC2H 9JQ",
"country": "GB"
}
]
}KYB
KYB Search Service
KYB Search Service API Documentation
POST
/
kyb
/
search
curl --request POST \
--url https://api-umbrella.io/api/services/kyb/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "IDCanopy Group Ltd",
"country": "GB",
"locality": "London"
}
'{
"status": true,
"data": [
{
"transactionId": "a8b89ef3-9d93-4d96-a495-be605fd1b2fe",
"companyId": "223c8dde-9c82-4811-ba3c-4f9fe648c2da",
"name": "IDCANOPY GROUP LTD",
"status": "active",
"registrationNumber": "16262990",
"addressLine": "71-75 Shelton Street, Covent Garden, London, United Kingdom, WC2H 9JQ",
"country": "GB"
}
]
}For a usage description of the KYB Search Service, please refer to the KYB page.
Endpoint
POST/kyb/searchAuthorizations
Bearer token obtained from POST /auth. Valid for 60 minutes.
Body
application/json
- Option 1
- Option 2